ReporterWrapper (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.hadoop

## Class ReporterWrapper

- java.lang.Object
- - org.apache.hadoop.mapreduce.StatusReporter
  - - org.apache.cassandra.hadoop.ReporterWrapper

- All Implemented Interfaces:
    org.apache.hadoop.mapred.Reporter, org.apache.hadoop.util.Progressable

      public class ReporterWrapper
      extends org.apache.hadoop.mapreduce.StatusReporter
      implements org.apache.hadoop.mapred.Reporter

  A reporter that works with both mapred and mapreduce APIs.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.hadoop.mapred.Reporter

      `NULL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReporterWrapper(org.apache.hadoop.mapred.Reporter reporter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hadoop.mapred.Counters.Counter` | `getCounter(java.lang.Enum<?> anEnum)`
    `org.apache.hadoop.mapred.Counters.Counter` | `getCounter(java.lang.String s, java.lang.String s1)`
    `org.apache.hadoop.mapred.InputSplit` | `getInputSplit()`
    `float` | `getProgress()`
    `void` | `incrCounter(java.lang.Enum<?> anEnum, long l)`
    `void` | `incrCounter(java.lang.String s, java.lang.String s1, long l)`
    `void` | `progress()`
    `void` | `setStatus(java.lang.String s)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReporterWrapper

          public ReporterWrapper(org.apache.hadoop.mapred.Reporter reporter)

  - ### Method Detail

    - #### getCounter

          public org.apache.hadoop.mapred.Counters.Counter getCounter(java.lang.Enum<?> anEnum)

      Specified by:
        `getCounter` in interface `org.apache.hadoop.mapred.Reporter`
      Specified by:
        `getCounter` in class `org.apache.hadoop.mapreduce.StatusReporter`

    - #### getCounter

          public org.apache.hadoop.mapred.Counters.Counter getCounter(java.lang.String s,
                                                                      java.lang.String s1)

      Specified by:
        `getCounter` in interface `org.apache.hadoop.mapred.Reporter`
      Specified by:
        `getCounter` in class `org.apache.hadoop.mapreduce.StatusReporter`

    - #### incrCounter

          public void incrCounter(java.lang.Enum<?> anEnum,
                                  long l)

      Specified by:
        `incrCounter` in interface `org.apache.hadoop.mapred.Reporter`

    - #### incrCounter

          public void incrCounter(java.lang.String s,
                                  java.lang.String s1,
                                  long l)

      Specified by:
        `incrCounter` in interface `org.apache.hadoop.mapred.Reporter`

    - #### getInputSplit

          public org.apache.hadoop.mapred.InputSplit getInputSplit()
                                                            throws java.lang.UnsupportedOperationException

      Specified by:
        `getInputSplit` in interface `org.apache.hadoop.mapred.Reporter`
      Throws:
        `java.lang.UnsupportedOperationException`

    - #### progress

          public void progress()

      Specified by:
        `progress` in interface `org.apache.hadoop.util.Progressable`
      Specified by:
        `progress` in class `org.apache.hadoop.mapreduce.StatusReporter`

    - #### getProgress

          public float getProgress()

    - #### setStatus

          public void setStatus(java.lang.String s)

      Specified by:
        `setStatus` in interface `org.apache.hadoop.mapred.Reporter`
      Specified by:
        `setStatus` in class `org.apache.hadoop.mapreduce.StatusReporter`

Copyright © 2018 The Apache Software Foundation